Page MenuHomePhabricator

[Epic] Support PayPal Express Checkout NVP API
Closed, ResolvedPublic0 Story Points

Description

We will be using the name value pair (NVP) integration because it's mature and supports the longest list of currencies, including Japanese accounts.
https://developer.paypal.com/docs/classic/express-checkout/gs_expresscheckout/
https://developer.paypal.com/docs/classic/api/country_codes/

This EC NVP support can be written as a new payment method under the PayPal adapter. This is a redirect method, so the only form is an interstitial in case of an invalid amount.

This task is complete when we can call and test the API, and a workflow is in place to interact with the donor.

Followup work: We should eventually look into a v.zero (Braintree) integration, once that's mature and as it supports more currencies.

Event Timeline

awight created this task.Mar 24 2016, 5:05 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
awight updated the task description. (Show Details)Apr 4 2016, 8:55 PM
awight updated the task description. (Show Details)Apr 4 2016, 8:58 PM
awight created subtask Restricted Task.
awight closed subtask Restricted Task as Resolved.Jun 1 2016, 8:37 PM
awight closed this task as Resolved.Jun 8 2016, 3:41 AM
awight moved this task from Backlog to Feasibility test on the FR-PayPal-ExpressCheckout board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:48 PM